Update the document management of an asset

Update the document management of an asset

Through this API you can update the document validity dates for an asset.

Input Parameters

The following information must be sent in the request body.

ParameterTypeRequiredDescription
id_attachedTextOptional

Attachment code.

Can be obtained here

(field

id_attached

)

valid_fromTextYesInitial validity date. Format: 'YYYY-MM-DDTHH:MM:SS-UTC' Example:'2016-07-12T20:00:00-03'.
valid_throughTextYesFinal validity date. Format: 'YYYY-MM-DDTHH:MM:SS-UTC' Example:'2016-07-12T20:00:00-03'.

Output Parameters

ParameterTypeDescription
groups_attached_description TextGroup
description TextDescription
name TextName
version TextVersion
valid_from TextValid from
valid_through TextValid until
author TextAuthor
code_iso TextISO Code
is_warranty BooleanUnder warranty.
status BooleanValidity

Example:

Request: (PUT)https://develop.fracttal.com/api/items_document_management/4

{
  "valid_from": "2020-12-14T05:00:00+00:00",
  "valid_through": "2020-12-16T05:00:00+00:00"
}
{
  "success": true,
  "message": "200",
  "data": [
    {
      "id": 4,
      "id_company": 1190,
      "id_group_attached": 1,
      "groups_attached_description": "IDs",
      "description": "SPARE PART|ENGINE|BEARINGS|CATHODE TUBE|BLOCK|CYLINDER HEAD|VALVE",
      "name": "CLIENT CONTRACT 1",
      "version": "1",
      "valid_from": "2020-12-14T00:00:00+00:00",
      "valid_through": "2020-12-16T00:00:00+00:00",
      "author": "JCDIAZ",
      "code_iso": "",
      "is_warranty": false,
      "status": false
    }
  ],
  "total": 1
}
Response
200
Language
LoadingLoading…